Skip to main content
POST
/
v1
/
memories
curl --request POST \
  --url https://pnbr.io/v1/memories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "Enterprise buyers stall on procurement, not price.",
  "kind": "observation",
  "project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d"
}
'
{
  "id": "92e22e9e-ace5-4f88-9972-a2b099f313b1",
  "status": "applied",
  "project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d",
  "delta_id": "ad281004-a2bc-43a8-8fa0-cf8671e7d97b",
  "applied": true,
  "memories": [
    {
      "id": "92e22e9e-ace5-4f88-9972-a2b099f313b1",
      "delta_entity_id": "92e22e9e-ace5-4f88-9972-a2b099f313b1",
      "content": "Enterprise buyers stall on procurement, not price.",
      "name": "Enterprise buyers stall on procurement, not price.",
      "status": "applied"
    }
  ],
  "shape_id": "ebe174d1-f979-4cc9-80c2-4ddfb09228fb",
  "request_id": "71322b3f-2090-413d-a16b-2466d0dc17de"
}

Authorizations

Authorization
string
header
required

A pnbr- API key. Project-scoped keys make project_id implicit; org-scoped keys require it.

Body

application/json
content
string
required

The memory text (required).

kind
enum<string>
Available options:
preference,
decision,
fact,
lesson,
observation,
signal
scope
enum<string>
Available options:
agent,
commons,
project
subject
object
source_context
string
forget_after
string<date-time>

Time-bound memory: recallable until this timestamp.

forget_reason
string
shape_id
string
project_id
string
apply
boolean
default:true
memories
object[]

Batch form (1-100). Omit for a single memory.

Response

Applied

Returned by governed writes. status is applied (committed) or staged (apply:false). Descend via delta_id.

id
string | null
status
enum<string>
Available options:
applied,
staged,
failed
project_id
string
delta_id
string
applied
boolean
request_id
string